Firefox System Requirements

Mozilla Firefox logo and Wordmark

System Requirements and Recommendations for Firefox

Below are the system requirements needed to install and successfully run Firefox listed by operating system.
Recommendations are also provided so that your Firefox functions optimally.


Linux logo

Software Requirements

Linux distributors may provide packages for your distribution which have different requirements.

Firefox will not run on Linux without the following libraries or packages.

  • GTK+ 2.18 or higher
  • GLib 2.22 or higher
  • Pango 1.14 or higher
  • X.Org 1.0 or higher (1.7 or higher is recommended)
  • libstdc++ 4.3 or higher
The following libraries or packages are recommended for optimal functionality.

  • NetworkManager 0.7 or higher
  • DBus 1.0 or higher
  • HAL 0.5.8 or higher
  • GNOME 2.16 or higher


Apple logo

Operating Systems

  • Mac OS X 10.6
  • Mac OS X 10.7
  • Mac OS X 10.8

Recommended Hardware

  • Macintosh computer with an Intel x86 processor
  • 512 MB of RAM
  • 200 MB hard drive space


Windows logo

Operating Systems

  • Windows XP SP2
  • Windows Server 2003
  • Windows Vista
  • Windows 7
  • Windows 8

Please note that while the 32-bit and 64-bit versions of Windows Vista and Windows 7 can be used to run Firefox, only 32-bit builds of Firefox are supported at this time.


  • Pentium 4 or newer processor that supports SSE2
  • 512MB of RAM
  • 200MB of hard drive space

Get Firefox for free from Mozilla.

The Firefox system requirements information on this page is provide by Mozilla.

This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License.

Back to the Firefox Beginner's Guide